Summary:        Use the Freedesktop.org base directory specification
Name:           perl-File-BaseDir
Version:        0.09
Release:    5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/File-BaseDir
Source0:        https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/File-BaseDir-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  coreutils make perl-generators perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.6.0 perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(warnings) perl(strict)
BuildRequires:  perl(Config) perl(Exporter) >= 5.57 perl(File::Spec)
BuildRequires:  perl(IPC::System::Simple) perl(File::Path) perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp) perl(File::Which) perl(lib) perl(Test::More)


%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Helper\\)
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_libexecdir}

%description
This module can be used to find directories and files as specified by the
Freedesktop.org Base Directory Specification. This specifications gives a
mechanism to locate directories for configuration, application data and
cache data. It is suggested that desktop applications for e.g. the Gnome,
KDE or Xfce platforms follow this layout. However, the same layout can just
as well be used for non-GUI applications.

%prep
%autosetup -n File-BaseDir-%{version}

for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
export HARNESS_OPTIONS=j"$(getconf _NPROCESSORS_ONLN)"
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*
%exclude %{perl_vendorlib}/File/UserDirs.pm
%exclude %{_mandir}/man3/File::UserDirs.3pm.gz

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.09-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.09-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.09-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.09-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 22 2023 cunshunxia <cunshunxia@tencent.com> - 0.09-1
- initial build
